Home | All Classes | Grouped Classes | Index | Search

# CL_Font::draw

Draws text to a graphic context.

    	int draw(
    		int x, int y, const std::string& str, CL_GraphicContext* context = 0);

    	int draw(
    		CL_Rect dest, const std::string& str, CL_GraphicContext* context = 0);

    	int draw(
    		int x, int y, std::string::const_iterator start, std::string::const_iterator end, CL_GraphicContext* context = 0);

    	int draw(
    		CL_Rect dest, std::string::const_iterator start, std::string::const_iterator end, CL_GraphicContext* context = 0);

Parameters:

str
  The input string to draw.
start
  String position to begin drawing at, inclusive.
end
  String position to end drawing at, exclusive.
x, y
  Anchor position to draw at. Actual drawing position depends on the alignment mode.
gc
  Graphic context on which to draw. If null, will use CL_Display's current graphic context.
dest
  Rectangle to draw text in. The text will be word-wrapped against delimiters to fit inside the rectangle.

Return value:

The number of glyphs that were drawn.

Detailed description:

You can specify a dest rectangle with a width or height of zero or less to disable word wrapping or height truncating, respectively.

See also:

CL_Display | CL_Font | CL_GraphicContext | CL_Rect

Questions or comments, write to the ClanLib mailing list.